/**
 * 
 * Copyright 2010-2020 Patrice Henrio, Sylvain Lavalley
 * 
 * Ce fichier fait partie du logiciel Histoire.
 *
 * Histoire est un logiciel libre : vous pouvez le redistribuer et/ou
 * le modifier sous les termes de la licence Affero GPL publiée par
 * la Fondation pour le logiciel libre (Free Software Foundation), en
 * choisissant la version 3 de cette licence ou n'importe quelle version
 * ultérieure, à votre convenance.
 *
 * Histoire est distribué en espérant qu'il sera utile, mais SANS GARANTIE
 * D'AUCUNE SORTE : y compris d'être vendable ou de pouvoir servir un
 * but donné. Voir le texte de la licence AGPL pour plus de détails.
 *
 * Vous devriez avoir reçu une copie de la licence AGPL avec Histoire.
 * Si ce n'est pas le cas, regardez à cette adresse :
 * <http://www.gnu.org/licenses/>.
 *  
 */
package fr.histoiremondiale.histoire.igraphique.composants;

import java.io.File ;

import javax.swing.filechooser.FileFilter ;



/**
 * Outil de sélection d'un répertoire.
 */
public class FiltreSelectionRepertoire extends FileFilter
{

    /**
     * Indique si le fichier peut être sélectionné.
     */
    public boolean accept (File fic)
    {
        return fic != null && fic.isDirectory() ;
    }

    
    /**
     * Renvoie le nom affiché du filtre.
     */
    public String getDescription ()
    {
        // (le nom par défaut indique "Tous les fichiers", ec qui n'est pas clair pour un répertoire)
        return "Répertoires" ;
    }

}
